#include "environment.h"
#include <algorithm>
#include <cstdlib>

namespace proctools 
{

	using namespace std;

	void environment::setter(const pair<string,string>& variable)
	{
		setenv(variable.first.c_str(), variable.second.c_str(), 1);
	}

	void environment::set(void)
	{
		for_each(m_variables.begin(), m_variables.end(), setter);
	}

};
